If using nLite with the 2.1.9 pack, use 1.3 final...

Questions about Update Pack making? Ask here.
Post Reply
XIII
Posts: 254
Joined: Wed Oct 12, 2005 4:47 am

If using nLite with the 2.1.9 pack, use 1.3 final...

Post by XIII » Mon Apr 16, 2007 5:12 pm

I just performed a clean install with nLite 1.3RC2, using just RVMUpdatePack2.1.9.7z and RVMAddonsDX9_1.3.7z.

Immediately after installation, Windows Update was offering 4 updates: KB917734, KB923689, KB924667, and KB905474. The last is WGA, which I understand, because I did not integrate Ryan's WGA add-on by mistake. The first two are WMP9 related, which might explain why they are not included. KB924667 is however mentioned on Ryan's site as part of the 2.1.9 pack.

What did I do wrong that Windows Update was still offering this?

EDIT: updated subject
Last edited by XIII on Mon Apr 16, 2007 6:43 pm, edited 2 times in total.
We are one, but we are not the same... Talk to each other!

User avatar
dougiefresh
Posts: 948
Joined: Wed May 11, 2005 5:05 pm
Location: Murfreesboro, Tennessee
Contact:

Post by dougiefresh » Mon Apr 16, 2007 5:28 pm


User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Mon Apr 16, 2007 6:30 pm

nLite 1.3RC2 had known issues with integrating KB924667 (as reading its changelog or looking in its forums would have told you). That's also why the 2.1.9 thread and the nLite integration directions on my site say that version 1.3 is needed for integration.

In other words, do your homework in the future. All of your questions have already been answered.

EDIT: Not to mention, http://www.ryanvm.net/forum/viewtopic.php?t=203
Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

XIII
Posts: 254
Joined: Wed Oct 12, 2005 4:47 am

Post by XIII » Mon Apr 16, 2007 6:33 pm

Thanks for the information!

However, KB924667 was the one that I was really wondering about: "Vulnerability in Microsoft Foundation Classes could allow for remote code execution" from 21-Feb-2007. Included in the 2.1.9 pack according to Ryan's site, but Windows Update still thought it needs to be installed...

EDIT: missed Ryan's post when replying...
We are one, but we are not the same... Talk to each other!

XIII
Posts: 254
Joined: Wed Oct 12, 2005 4:47 am

Post by XIII » Mon Apr 16, 2007 6:40 pm

Sorry, I somehow downloaded the (updated) final 1.3 version of nLite, but apparently never installed it... Even worse, I did not realize this when I typed "1.3RC2" in this topic... Your post made this clear!

I did however search for all four KB numbers on this forum before posting. I was unable to find relevant information by doing that. I guess I should have used other search terms as well... So I did some homework, but apparently not good enough... (I visit both your and nLite's forum almost every day, but I am unable to read all topics...)

:oops:
We are one, but we are not the same... Talk to each other!

User avatar
RyanVM
Site Admin
Posts: 5189
Joined: Tue Nov 23, 2004 6:03 pm
Location: Pennsylvania
Contact:

Post by RyanVM » Mon Apr 16, 2007 6:47 pm

Get up to $200 off on hosting from the same people who host this website!
http://www.ryanvm.net/forum/viewtopic.php?t=2357

Post Reply